Skip to main content
GET
Get Identity

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

id
string
required

Unique identifier of an identity

Response

Success

kyb_status
kyb_status · object
deprecated

Deprecated: replaced by the top-level status and sub_status fields.

Status of KYB for the given identity.

id
string
read-only

Unique identifier of an identity, assigned by Bastion

identity_type
enum<string>
deprecated

Deprecated: use "type" instead

Available options:
IDENTITY_TYPE_UNSPECIFIED,
INDIVIDUAL,
BUSINESS
Example:

"INDIVIDUAL"

account_ids
string[]
read-only

Account ids associated with the identity

label
string
read-only

Customer-defined identifier for the identity

fiat_operations_enabled
boolean
read-only

True if the identity is cleared to perform fiat operations, such as conversions between stablecoins and fiat

status
enum<string>

The identity's status

Available options:
IDENTITY_STATUS_UNSPECIFIED,
PENDING_ONBOARDING,
ACTIVE,
SUSPENDED,
REJECTED,
TERMINATED
Example:

"PENDING_ONBOARDING"

sub_status
enum<string>

The identity's sub-status. Populated during PENDING_ONBOARDING, and RFI_REQUIRED while a request for information is open in any status except REJECTED and TERMINATED.

Available options:
IDENTITY_SUB_STATUS_UNSPECIFIED,
CREATED,
COMPLIANCE_CHECKS_IN_PROGRESS,
IDV_REQUIRED,
IDV_REQUESTED,
IDV_IN_PROGRESS,
IDV_EXPIRED,
RFI_REQUIRED
Example:

"CREATED"

type
enum<string>

Identity type

Available options:
IDENTITY_TYPE_UNSPECIFIED,
INDIVIDUAL,
BUSINESS
Example:

"INDIVIDUAL"